<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_color"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/default_screen_padding"
                android:text="@string/order_summary"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_text_size"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_order_review_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingEnd="@dimen/default_screen_padding"
                android:paddingStart="@dimen/default_screen_padding" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/default_screen_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="@string/total"
                    android:textColor="@android:color/black" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="$"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/large_text_size" />

                <TextView
                    android:id="@+id/tv_total"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:text="0"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/large_text_size"
                    android:textStyle="bold" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:background="@android:color/white"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/ctv_terms_policies"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="20dp"
                android:layout_marginStart="@dimen/default_screen_padding"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:clickable="true"
                android:textAlignment="textStart"
                android:textColor="@color/colorGray"
                android:textColorLink="@android:color/holo_blue_dark"
                android:textSize="@dimen/default_text_size" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/default_screen_padding"
                android:text="@string/pick_up_address"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_text_size"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <LinearLayout
                android:id="@+id/layout_pick_up"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="15dp"
                android:layout_marginEnd="15dp"
                android:layout_marginStart="15dp"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_box_white_stroke_primary"
                android:orientation="vertical"
                android:paddingBottom="15dp"
                android:paddingEnd="10dp"
                android:paddingStart="10dp"
                android:paddingTop="15dp">


                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:text="@string/pick_up_at_yes_hub"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:gravity="center_vertical">

                    <ImageView
                        android:layout_width="15dp"
                        android:layout_height="15dp"
                        android:src="@drawable/ic_map_pin" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_pick_location"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="3dp"
                        android:text="@string/pick_up_at_yes_hub"
                        android:textColor="@color/colorPrimary"
                        android:textStyle="bold" />
                </LinearLayout>

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_pick_des"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="24dp"
                    android:text="@string/pick_up_at_yes_hub"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/small_text_size" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_delivery"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="15dp"
                android:layout_marginEnd="15dp"
                android:layout_marginStart="15dp"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_box_white_stroke_primary"
                android:orientation="horizontal"
                android:paddingBottom="15dp"
                android:paddingEnd="10dp"
                android:paddingStart="10dp"
                android:paddingTop="15dp">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp"
                        android:text="@string/delivery"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/large_text_size" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp">

                        <ImageView
                            android:layout_width="15dp"
                            android:layout_height="15dp"
                            android:layout_gravity="top"
                            android:layout_marginTop="2dp"
                            android:src="@drawable/ic_map_pin" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/tv_delivery_location"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="3dp"
                            android:text="Phnom Penh"
                            android:textColor="@android:color/black" />
                    </LinearLayout>
                </LinearLayout>

                <ImageView
                    android:layout_width="70dp"
                    android:layout_height="70dp"
                    android:src="@drawable/ic_map_delivery" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:layout_marginTop="10dp"
            android:background="@android:color/white"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:padding="@dimen/default_screen_padding"
                android:text="@string/recipient"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_text_size"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="@dimen/default_screen_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/name_point"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

                <TextView
                    android:id="@+id/tv_username"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="Seatel user"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginEnd="@dimen/default_screen_padding"
                android:layout_marginStart="@dimen/default_screen_padding"
                android:background="@color/line_table" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:padding="@dimen/default_screen_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/email_point"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

                <TextView
                    android:id="@+id/tv_email"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="yes@yes.com"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginEnd="@dimen/default_screen_padding"
                android:layout_marginStart="@dimen/default_screen_padding"
                android:background="@color/line_table" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:padding="@dimen/default_screen_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/phone_number_point"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

                <TextView
                    android:id="@+id/tv_phone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="0181122311"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_table" />
        </LinearLayout>
    </LinearLayout>
</ScrollView>